Bug 5396

Summary: UseTablesortForCirc syspref to toggle table sorter on circ/circulation.pl
Product: Koha Reporter: Ian Walls <koha.sekjal>
Component: CirculationAssignee: Ian Walls <koha.sekjal>
Status: CLOSED FIXED QA Contact: Bugs List <koha-bugs>
Severity: enhancement    
Priority: P5 - low CC: chris, cnighswonger, gmcharlt, jwagner
Version: 3.4   
Hardware: All   
OS: All   
Change sponsored?: --- Patch complexity: ---
Text to go in the release notes:
Version(s) released in:
Attachments: Proposed patch, with 2 signoffs

Description Ian Walls 2010-11-12 20:47:07 UTC
For patrons with many currently checked out items, the time it takes for JQuery to render create the index for the table sorter is often unacceptable for many circulation desks.  Whether this feature is used should be optional, controlled by a system preference (UseTablesortForCirc).
Comment 1 Ian Walls 2010-11-12 20:59:03 UTC
Created attachment 2743 [details] [review]
Proposed patch, with 2 signoffs

rebased onto current HEAD as of 11-12-10 3:00pm EDT
Comment 2 Chris Cormack 2010-11-13 07:04:58 UTC
Patch pushed
Comment 3 Chris Nighswonger 2010-11-18 03:15:18 UTC
This bug has a patch presently committed to HEAD and 3.2.x.

Please take the appropriate action to update the status of this bug.

Remember, bugs which have been resolved should be tested and marked closed, preferably by the original reporter.
Comment 4 Chris Nighswonger 2010-11-30 15:54:52 UTC
A fix for this bug has been committed to the current development HEAD as well as released in 3.2.1.